Index: ivend//iVend.pmod
diff -c ivend//iVend.pmod:1.32 ivend//iVend.pmod:1.34
*** ivend//iVend.pmod:1.32	Tue Apr 28 21:53:18 1998
--- ivend//iVend.pmod	Wed Apr 29 00:42:35 1998
***************
*** 36,47 ****
  mapping scan_modules(string mtype, string moddir){
  mapping(string:string) m=([]);
  array d=get_dir(moddir);
- d-=({"CVS"});
  string name;
  string desc;
  string type;
  program p;
  foreach(d,name){
    if(catch(p=compile_file(moddir+"/"+name)))
    { perror("iVend error: can't compile "+name+"\n");
    continue;
--- 36,47 ----
  mapping scan_modules(string mtype, string moddir){
  mapping(string:string) m=([]);
  array d=get_dir(moddir);
  string name;
  string desc;
  string type;
  program p;
  foreach(d,name){
+   if(name=="CVS") continue;
    if(catch(p=compile_file(moddir+"/"+name)))
    { perror("iVend error: can't compile "+name+"\n");
    continue;
***************
*** 203,208 ****
--- 203,209 ----
      {
  
  string f=	id->variables[ r[i]->name+".filename"];
+ if(f){
  string e= extension(f);
      string filename=id->variables->id+
  	r[i]->name[5..]+"."+e;
***************
*** 213,218 ****
--- 214,221 ----
  Stdio.write_file(id->misc->ivend->config->root+"/images/"+
  	id->variables->table+"/"+filename,id->variables[r[i]->name]);
      query+="'"+filename+"',";
+ }
+ else perror("ARGH! Can't get image's original filename from browser!\n");
      }
    else query+="NULL,";
    }
Index: ivend//ivend.pike
diff -c ivend//ivend.pike:1.58 ivend//ivend.pike:1.63
*** ivend//ivend.pike:1.58	Tue Apr 28 21:53:18 1998
--- ivend//ivend.pike	Wed Apr 29 00:57:08 1998
***************
*** 22,28 ****
  int save_status=1; 		// 1=we've saved 0=need to save.
  int loaded;
  
! string cvs_version = "$Id: ivend.pike,v 1.58 1998/04/29 01:53:18 hww3 Exp $";
  
  array register_module(){
  
--- 22,28 ----
  int save_status=1; 		// 1=we've saved 0=need to save.
  int loaded;
  
! string cvs_version = "$Id: ivend.pike,v 1.63 1998/04/29 04:57:08 hww3 Exp $";
  
  array register_module(){
  
***************
*** 567,578 ****
  
  void start(){
  
    loaded=1;
  
    if(file_stat(query("datadir")+"ivend.cfg")==0) return; 
      else  read_conf();   // Read the config data.
-  add_include_path(query("root") + "include");
-  add_module_path(query("root"));
    
    foreach(indices(config), string c)
      load_modules(config[c]->config);
--- 567,581 ----
  
  void start(){
  
+  add_include_path(query("root") + "include");
+ perror("added include path: "+query("root")+"/include\n"); 
+ add_module_path(query("root"));
+ perror("added path: "+query("root")+"\n"); 
+ 
    loaded=1;
  
    if(file_stat(query("datadir")+"ivend.cfg")==0) return; 
      else  read_conf();   // Read the config data.
    
    foreach(indices(config), string c)
      load_modules(config[c]->config);
***************
*** 800,805 ****
--- 803,810 ----
  mv(query("datadir")+"ivend.cfg",query("datadir")+"ivend.cfg.back");
  write_file(query("datadir")+"ivend.cfg", config_file);
  save_status=1;	// We've saved.
+ perror("iVend: reloading all modules...\n");
+ start();	// Reload all of the modules and crap.
  return http_redirect(query("mountpoint")+"config", id);
  
  }
***************
*** 1098,1105 ****
  string retval="";
  retval+="<title>iVend Store Orders</title>"
    "<body bgcolor=white text=navy>"
!   "<img src=\"/ivend/ivend-image/ivendlogosm.gif\"> &nbsp;"
!   "<img src=\"/ivend/ivend-image/admin.gif\"> &nbsp;"
    "<gtext fg=maroon nfont=bureaothreeseven black>"
    +id->misc->ivend->config->name+
    " Orders</gtext><p>"
--- 1103,1110 ----
  string retval="";
  retval+="<title>iVend Store Orders</title>"
    "<body bgcolor=white text=navy>"
!   "<img src=\""+query("mountpoint")+"ivend-image/ivendlogosm.gif\"> &nbsp;"
!   "<img src=\""+query("mountpoint")+"ivend-image/admin.gif\"> &nbsp;"
    "<gtext fg=maroon nfont=bureaothreeseven black>"
    +id->misc->ivend->config->name+
    " Orders</gtext><p>"
***************
*** 1129,1136 ****
  string retval="";
  retval+="<title>iVend Shipping Administration</title>"
    "<body bgcolor=white text=navy>"
!   "<img src=\"/ivend/ivend-image/ivendlogosm.gif\"> &nbsp;"
!   "<img src=\"/ivend/ivend-image/admin.gif\"> &nbsp;"
    "<gtext fg=maroon nfont=bureaothreeseven black>"
    +id->misc->ivend->config->name+
    " Shipping</gtext><p>"
--- 1134,1141 ----
  string retval="";
  retval+="<title>iVend Shipping Administration</title>"
    "<body bgcolor=white text=navy>"
!   "<img src=\""+query("mountpoint")+"ivend-image/ivendlogosm.gif\"> &nbsp;"
!   "<img src=\""+query("mountpoint")+"ivend-image/admin.gif\"> &nbsp;"
    "<gtext fg=maroon nfont=bureaothreeseven black>"
    +id->misc->ivend->config->name+
    " Shipping</gtext><p>"
***************
*** 1166,1173 ****
  string retval="";
  retval+="<title>iVend Store Administration</title>"
    "<body bgcolor=white text=navy>"
!   "<img src=\"/ivend/ivend-image/ivendlogosm.gif\"> &nbsp;"
!   "<img src=\"/ivend/ivend-image/admin.gif\"> &nbsp;"
    "<gtext fg=maroon nfont=bureaothreeseven black>"
    +id->misc->ivend->config->name+
    " Administration</gtext><p>"
--- 1171,1178 ----
  string retval="";
  retval+="<title>iVend Store Administration</title>"
    "<body bgcolor=white text=navy>"
!   "<img src=\""+query("mountpoint")+"ivend-image/ivendlogosm.gif\"> &nbsp;"
!   "<img src=\""+query("mountpoint")+"ivend-image/admin.gif\"> &nbsp;"
    "<gtext fg=maroon nfont=bureaothreeseven black>"
    +id->misc->ivend->config->name+
    " Administration</gtext><p>"
***************
*** 1202,1211 ****
      );
    retval+="&gt <b>Add New " + capitalize(id->variables->type) +"</b><br>\n";
  
!   if(id->variables->type="group")
      retval+="<table>\n"+s->gentable("products","./admin","groups", 
  	"product_groups", id)+"</table>\n";
!   else if(id->variables->type=="product")
      retval+="<table>\n"+s->gentable("groups","./admin",0,0,id)+"</table>\n";
    break;
  
--- 1207,1216 ----
      );
    retval+="&gt <b>Add New " + capitalize(id->variables->type) +"</b><br>\n";
  
!   if(id->variables->type=="product")
      retval+="<table>\n"+s->gentable("products","./admin","groups", 
  	"product_groups", id)+"</table>\n";
!   else if(id->variables->type=="group")
      retval+="<table>\n"+s->gentable("groups","./admin",0,0,id)+"</table>\n";
    break;
  
Index: ivend//data/global.cfd
diff -c /dev/null ivend//data/global.cfd:1.1
*** /dev/null	Wed Apr 29 00:58:23 1998
--- ivend//data/global.cfd	Tue Apr 28 23:18:19 1998
***************
*** 0 ****
--- 1,18 ----
+ iVcd
+ 
+ $varname=move_onestore
+ $enname=Move Only Store to Root?
+ $siname=Move Only Store to Root? (si)
+ $type=multiple
+ $options=Yes|No
+ $endescription=Should the only configured store be moved to the ivend mount point?
+ $sidescription=Should the only configured store be moved to the ivend mount point?
+ 
+ $varname=create_index
+ $enname=Generate Index?
+ $siname=Generate Index? (si)
+ $type=multiple
+ $options=Yes|No
+ $endescription=Should iVend generate a store index when the root is called?
+ $sidescription=Should iVend generate a store index when the root is called?
+ 
